Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1406367 (CVE-2016-10028)

Summary: CVE-2016-10028 Qemu: display: virtio-gpu-3d: OOB access while reading virgl capabilities
Product: [Other] Security Response Reporter: Prasad Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ailan, amit.shah, apevec, areis, ayoung, berrange, cfergeau, chrisw, crobinso, cvsbot-xmlrpc, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:04:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1406368    
Bug Blocks:    

Description Prasad Pandit 2016-12-20 12:08:14 UTC
Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to an out of bounds memory access issue. It could occur while
processing 'VIRTIO_GPU_CMD_GET_CAPSET' command.

A guest user/process could use this flaw to crash the Qemu process instance
on a host, resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-12/msg01903.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/20/1

Comment 1 Prasad Pandit 2016-12-20 12:08:55 UTC
Acknowledgments:

Name: Hongzhenhao Qinghao Tang (360.cn Marvel Team)

Comment 2 Prasad Pandit 2016-12-20 12:10:01 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1406368]

Comment 3 Prasad Pandit 2016-12-23 06:42:40 UTC
*** Bug 1343131 has been marked as a duplicate of this bug. ***

Comment 4 Cole Robinson 2017-01-16 18:46:40 UTC
commit abd7f08b2353f43274b785db8c7224f082ef4d31
Author: Prasad J Pandit <pjp>
Date:   Wed Dec 14 12:31:56 2016 +0530

    display: virtio-gpu-3d: check virgl capabilities max_size